import { AgreementConfig } from "./agreement-config";
import { AppConfig } from "./app-config";
import { AppsBranchDefaultRootDirConfig } from "./apps-branch-default-root-dir-config";
import { AssetConfig } from "./asset-config";
import { AvailableLangConfig } from "./available-lang-config";
import { ProtocolConfig } from "./protocol-config";
import { RuntimeConfig } from "./runtime-config";
import { TrayConfig } from "./tray-config";
import { WindowConfig } from "./window-config";
export interface ConfigBase {
    id: string;
    name: string;
    description: string;
    companyId: string;
    companyName: string;
    secret: string;
    runtime: RuntimeConfig;
    isDefaultAutoProcessingUpdateEnabled: boolean;
    defaultAutoProcessingUpdateMode: `optional` | `required`;
    defaultAutoProcessingUpdateOptionalModeUpdateAvailableDialog: {
        titleTemplate: string;
        messageTemplate: string;
    };
    defaultAutoProcessingUpdateRequiredModeUpdateAvailableDialog: {
        titleTemplate: string;
        messageTemplate: string;
    };
    assets: {
        [assetId: string]: AssetConfig;
    };
    appsCatalogId: string;
    appsMainBranchDefaultRootDir: AppsBranchDefaultRootDirConfig;
    appsSecondaryBranchDefaultRootDir: AppsBranchDefaultRootDirConfig;
    isAppsBranchesNotDefaultRootDirAllowed: boolean;
    isStartingQuitTaskAllowedIfAnyOfAppsBranchesProcessExists: boolean;
    preconfiguredApps: {
        [preconfiguredAppId: string]: AppConfig;
    };
    window: WindowConfig;
    agreements: {
        [agreementId: string]: AgreementConfig;
    };
    statsAgreementId?: string;
    areStatsEntriesAnonymous: boolean;
    reportingErrorAgreementId?: string;
    availableLangs: {
        [availableLangTag: string]: AvailableLangConfig;
    };
    fallbackLangTag: string;
    protocol?: ProtocolConfig;
    isAutoFocusingWindowEnabledOnProtocolPendingRequestRegistered: boolean;
    isAutoShowingWindowEnabledOnProtocolPendingRequestRegistered: boolean;
    tray?: TrayConfig;
    loadingThemeErrorDialog: {
        titleTemplate: string;
        messageTemplate: string;
    };
    logsCollectedDialog: {
        titleTemplate: string;
        messageTemplate: string;
    };
    crashedDialog: {
        titleTemplate: string;
        messageTemplate: string;
    };
    overrideThemeUrl?: string;
    overrideLibkappsDirPath?: string;
    overrideRootDirPath?: string;
    overrideUserDataDirPath?: string;
    patchKitOverrideMainServiceApiUrl?: string;
    patchKitOverrideMainServiceApiProxyUrl?: string;
    patchKitOverrideMainServiceApiCacheUrl?: string;
    patchKitOverrideStatsServiceApiUrl?: string;
    patchKitOverrideKeysServiceApiUrl?: string;
    patchKitOverrideAppCatalogsServiceApiUrl?: string;
    patchKitOverrideAppCatalogsServiceApiProxyUrl?: string;
    patchKitOverrideLauncherThemesServiceApiUrl?: string;
}
//# sourceMappingURL=config-base.d.ts.map